View Issue Details

IDProjectCategoryView StatusLast Update
0004538SymmetricDSImprovementpublic2020-09-23 16:34
Reporterelong Assigned Toelong  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.0 
Target Version3.12.4Fixed in Version3.12.4 
Summary0004538: Suppress first deadlock, FK, or protocol violation error to allow retry
DescriptionSuppress logging at ERROR level for first deadlock, foreign key, or protocol violation message received on a row in a batch. If the retry succeeds, there should be no ERROR level message in the log and the error_flag should remain off in the sym_outgoing/incoming_batch tables. This will prevent the user from being notified of errors that were successful after retrying once. If the retry is not successful, the log messages will go to ERROR level and the error_flag will be set.

Standardize the deadlock sql code as -911 in the sym_outgoing/incoming_batch tables so either side knows a deadlock occurred regardless of platform. Initial implementation for Oracle, MySQL, MariaDB, SQL-Server, Postgres, Sybase, DB2, and FIrebird.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 38546c1a

2020-09-10 20:06:20

admin

Details Diff
0004538: Suppress first deadlock message to allow retry Affected Issues
0004538
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ErrorConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AcknowledgeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ManageIncomingBatchListener.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/AbstractSqlTemplate.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/ISqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/ase/AseJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/db2/Db2JdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/firebird/FirebirdJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSqlJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mysql/MySqlJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/oracle/OracleJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTemplate.java Diff File

SymmetricDS: 3.12 1e3d8dc8

2020-09-14 14:03:13

admin

Details Diff
0004538: Suppress first deadlock, FK, or protocol violation error to
allow retry
Affected Issues
0004538
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AcknowledgeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/IncomingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ManageIncomingBatchListener.java Diff File

Issue History

Date Modified Username Field Change
2020-09-10 20:03 elong New Issue
2020-09-10 20:03 elong Status new => assigned
2020-09-10 20:03 elong Assigned To => elong
2020-09-10 20:06 elong Status assigned => resolved
2020-09-10 20:06 elong Resolution open => fixed
2020-09-10 20:06 elong Fixed in Version => 3.12.4
2020-09-10 21:00 admin Changeset attached => SymmetricDS 3.12 38546c1a
2020-09-14 14:00 elong Summary Suppress first deadlock message to allow retry => Suppress first deadlock, FK, or protocol violation error to allow retry
2020-09-14 14:00 elong Description Updated View Revisions
2020-09-14 15:00 admin Changeset attached => SymmetricDS 3.12 1e3d8dc8
2020-09-23 16:34 admin Status resolved => closed